# Installation

~~~
# apt install ii
~~~

ii - irc it ! Le client IRC basé à la ligne de commande et aux fichiers FIFO.

# Utilisation

~~~
$ # ii -i <repertoire> -s <servername> -p <port> -k <environment> -n <nickname> -f <realname>
$ ii -i ~/.irc/ -s localhost -n evouser

~~~
Une fois lancé, le programme ne rend pas la main, donc on pourra préférer le mettre en tâche de fond.

Pour se connecter à un serveur IRC qui nécessite mot de passe, il faut passer le mot de passe en variable d'environnement (pour que le mot de passe ne soit pas visible par un autre utilisateur connecté sur la machine).
~~~
$ IIPASS='motdepasse' ii -i ~/.irc/ -s localhost -k IIPASS -n evouser
~~~

Exemple d'utilisation :
~~~
$ ls ~/.irc/
localhost
$ ls -l ~/.irc/localhost/
prwx------ 1 evouser evolix    0 Feb 10 09:33 in
-rw-r--r-- 1 evouser evolix 4762 Feb 10 09:33 out
$ echo "/j #channel" > ~/.irc/localhost/in
$ ls -l ~/.irc/localhost
prwx------ 1 evouser evolix    0 Feb 10 09:33 in
-rw-r--r-- 1 evouser evolix 5132 Feb 10 09:36 out
drwx------ 2 evouser evolix 4096 Feb 10 09:36 #channel
$ ls -l ~/.irc/locahost/\#channel
prwx------ 1 evouser evolix  0 Feb 10 09:36 in
-rw-r--r-- 1 evouser evolix 74 Feb 10 09:36 out
$ echo "coucou je parle grâce à ii !" > ~/.irc/localhost/\#channel/in
$ tail -f ~/.irc/localhost/\#channel/out
2017-02-10 09:37 -!- evouser(~evouser@evouser.evolix.net) has joined #channel
2017-02-10 09:39 <evouser> coucou je parle grâce à ii !
~~~

